### Enumeration

# Clutter InputContentPurpose

since: 13

#### Declaration

    enum Clutter.InputContentPurpose

#### Description

No description available.

Available since: 13

#### Members

`CLUTTER_INPUT_CONTENT_PURPOSE_NORMAL`
  No description available.
  - Value: `0`
  - Nickname: `normal`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_ALPHA`
  No description available.
  - Value: `1`
  - Nickname: `alpha`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_DIGITS`
  No description available.
  - Value: `2`
  - Nickname: `digits`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_NUMBER`
  No description available.
  - Value: `3`
  - Nickname: `number`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_PHONE`
  No description available.
  - Value: `4`
  - Nickname: `phone`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_URL`
  No description available.
  - Value: `5`
  - Nickname: `url`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_EMAIL`
  No description available.
  - Value: `6`
  - Nickname: `email`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_NAME`
  No description available.
  - Value: `7`
  - Nickname: `name`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_PASSWORD`
  No description available.
  - Value: `8`
  - Nickname: `password`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_DATE`
  No description available.
  - Value: `9`
  - Nickname: `date`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_TIME`
  No description available.
  - Value: `10`
  - Nickname: `time`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_DATETIME`
  No description available.
  - Value: `11`
  - Nickname: `datetime`
  - Available since: 13
`CLUTTER_INPUT_CONTENT_PURPOSE_TERMINAL`
  No description available.
  - Value: `12`
  - Nickname: `terminal`
  - Available since: 13